Redmine - Feature #31361

Include a reason in the error message when an issue status cannot be deleted
2019-05-13 16:07 - Go MAEDA

Status: Closed Start date:
Target version: 4.1.0

Resolution: Fixed

Description

The attached patch adds a reason why the issue status cannot be deleted to the error message "Unable to delete issue status”.

You cannot delete issue statuses if the status in use. Sometimes it is difficult to deal with the problem because the error message
always says only "Unable to delete issue status".

After applying this patch, you can see an error message with the reason when an issue status cannot be deleted.
Redmine Search:

‘ @) Unable to delete issue status (This status is used as the default status by some trackers)

Issue statuses

Status Issue closed
New
Assigned
Resolved

Related issues:
Related to Redmine - Defect #31387: Don't rescue Exception class Closed

Associated revisions

Revision 18168 - 2019-05-16 02:17 - Go MAEDA

Include a reason in the error message when an issue status cannot be deleted (#31361).

Patch by Go MAEDA.

History

#1 - 2019-05-14 16:33 - Go MAEDA

- Target version set to 4.1.0

Setting the target version to 4.1.0.

#2 - 2019-05-16 02:17 - Go MAEDA

- Subject changed from Show reason when an issue status cannot be deleted to Include a reason in the error message when an issue status cannot
be deleted

- Status changed from New to Closed
- Assignee set to Go MAEDA

- Resolution set to Fixed

Committed the patch.
#3 - 2019-05-20 12:01 - Go MAEDA
- Related to Defect #31387: Don't rescue Exception class added
